pro getoverallmaxmin,datatype,maxmin,Inputfile,channels,numberoffiles,InputXSize,InputYSize,sds_name

;get unique channels
UniqueChannels=channels(sort(channels))

UniqueChannels=UniqueChannels(uniq(UniqueChannels))

dummy=size(UniqueChannels)

if dummy[0] eq 1 then NumberofChannels=dummy[1]
if dummy[0] eq 0 then NumberofChannels=1


maxmin=fltarr(2,NumberofChannels)
maxmin[0,*]=0.
maxmin[1,*]=10000.

newmaxmin=fltarr(2,NumberofChannels)

for fileindex=0,NumberofFiles-1 do begin
case 1 of
    datatype eq 'MODIS' : begin
      for i=0,NumberofChannels-1 do begin
        GetMODISmaxmin,UniqueChannels[i],$
                   Inputfile[fileindex],$
                   InputXSize[fileindex],$
                   InputYSize[fileindex],$
                   channelmaxmin
        newmaxmin[0:1,i]=channelmaxmin
      endfor
    end
    datatype eq 'MODIS' : begin
      for i=0,NumberofChannels-1 do begin
       GetMASmaxmin,UniqueChannels[i],$
                   Inputfile[fileindex],$
                   channelmaxmin
       newmaxmin[0:1,i]=channelmaxmin
      endfor
    end
    datatype eq 'LEVEL2': begin
      i=0
      GetSDSmaxmin,sds_name,$
                   Inputfile[fileindex],$
                   InputXSize[fileindex],$
                   InputYSize[fileindex],$
                   channelmaxmin
      newmaxmin[0:1,i]=channelmaxmin

    end

endcase

if numberoffiles eq 1 then begin
  maxmin=newmaxmin
endif else begin
  for i=0,NumberofChannels-1 do begin
    if newmaxmin[0,i] gt maxmin[0,i] then maxmin[0,i]=newmaxmin[0,i]
    if newmaxmin[1,i] le maxmin[1,i] then maxmin[1,i]=newmaxmin[1,i] 
  endfor   
endelse
endfor
;short wave max fix for truecolor imagery
if max(UniqueChannels) le 7  and (datatype eq 'MODIS' or datatype eq 'MAS') then begin
   maxmin[0,*]=max(maxmin[0,*])
   maxmin[1,*]=min(maxmin[1,*])
   if max(maxmin[0,*]) gt 1. then maxmin[0,*]=1.
endif

end
