pro ChooseInputFile,l1bname,dir

GetInputDefaults,LocalDir,IngestDir,ArchiveDir

TimeInfo=''
RootFileLocation=''

print,'Input file selection, [] denotes current default'
print,''
print,'   1. Archive area    [',ArchiveDir,']'
print,'   2. Ingest area     [',IngestDir,']'
print,'   3. local file      [',LocalDir,']'
print,''
read,rootfilelocation,prompt='Enter input file location choice >'

rootfilelocation=fix(rootfilelocation)

dir=''
if rootfilelocation eq '3' then begin
    read,dir,prompt='Enter full path to file <return for default> >'
    if dir ne '' then LocalDir=dir 

    file=''
    read,file,prompt='Enter filename/s >'
    file=strcompress(file,/remove_all)
    l1bname=str_sep(file,',')
 
    dir=LocalDir
    if file eq 'all' then begin
        timeinfo='all'
        namelist=findfile(dir+'/*.hdf',count=filecount)
        dir=''
    endif
endif else begin
   day=''
   timeinfo=''
   read,day,prompt='enter day to be looked at >'
   read,timeinfo,prompt='enter time to be looked at (enter all for global) >'

   if rootfilelocation eq 2 then $
      dir=strcompress(IngestDir+day+'/',/remove_all)
   if rootfilelocation eq 1 then $
      dir=strcompress(ArchiveDir+day+'/',/remove_all)
   namelist=findfile(dir,count=filecount)
   
endelse


if timeinfo ne 'all' and timeinfo ne '' then begin

  splitname=str_sep(strcompress(timeinfo),' ')
  dummy=size(splitname)
  l1bname=strarr(dummy[1])

  for granule=0,dummy[1]-1 do begin
     granuletime=splitname[granule]

     for i=0, filecount -1 do begin
        looptime=(strmid(namelist[i],18,4))
        if looptime eq granuletime then found = i
     endfor

     l1bname[granule]=namelist[found:found]
     filecount =found

  endfor
endif

if timeinfo eq 'all' then l1bname=namelist
SetInputDefaults,LocalDir,IngestDir,ArchiveDir,FileCreateFail
end
